xcb_destroy_notify_event_t(3)

NAME
xcb_destroy_notify_event_t - a window is destroyed

SYNOPSIS
#include <xcb/xproto.h>

  Event datastructure

typedef struct xcb_destroy_notify_event_t {
    uint8_t      response_type;
    uint8_t      pad0;
    uint16_t     sequence;
    xcb_window_t event;
    xcb_window_t window;
} xcb_destroy_notify_event_t;

EVENT FIELDS

response_type
    The type of this event, in this case XCB_DESTROY_NOTIFY. This field is also present in the xcb_generic_event_t and can be used to tell events apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

event
    The reconfigured window or its parent, depending on whether StructureNotify or SubstructureNotify was selected.

window
    The window that is destroyed.

DESCRIPTION

SEE ALSO
xcb_generic_event_t(3), xcb_destroy_window(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.